# Class JSOFA.ObservedPosition

java.lang.Object
org.jastronomy.jsofa.JSOFA.ObservedPosition

Enclosing class:
  `JSOFA`

public static class JSOFA.ObservedPosition extends Object
Observed Position. "Observed" Az,ZD means the position that would be seen by a perfect geodetically aligned theodolite. (Zenith distance is used rather than altitude in order to reflect the fact that no allowance is made for depression of the horizon.) This is related to the observed HA,Dec via the standard rotation, using the geodetic latitude (corrected for polar motion), while the observed HA and RA are related simply through the Earth rotation angle and the site longitude. "Observed" RA,Dec or HA,Dec thus means the position that would be seen by a perfect equatorial with its polar axis aligned to the Earth's axis of rotation..

Since:
  26 Jan 2010
Version:
  $Revision$ $date$
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 28 Mar 2014

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`aob`
observed azimuth (radians: N=0,E=90)
`double`
`dob`
observed Declination (radians)
`double`
`hob`
observed Hour Angle (radians)
`double`
`rob`
observed Right Ascension (radians)
`double`
`zob`
observed zenith distance (radians)

## Constructor Summary

Constructors
Constructor
Description
`ObservedPosition(double aob, double zob, double hob, double dob, double rob)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### aob

public double aob
observed azimuth (radians: N=0,E=90)

### zob

public double zob
observed zenith distance (radians)

### hob

public double hob
observed Hour Angle (radians)

### dob

public double dob
observed Declination (radians)

### rob

public double rob
observed Right Ascension (radians)

## Constructor Details

### ObservedPosition

public ObservedPosition(double aob, double zob, double hob, double dob, double rob)